Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSFeatureParameters Class Reference

This is a union of the parameters of the FNU features. More...

`#import <CSFeatureParameters.h>`

Inherits NSObject.

## Instance Methods
(instancetype) | - initWithFeatureType:ownerExtension:huntGroupNumber:
| Constructs an CSFeatureStatusParameters object from the specified parameters. More...

## Properties
CSFeatureType | featureType
| The feature type associated with the feature. More...
NSString * | ownerExtension
| The owner extension associated with this feature. More...
NSInteger | huntGroupNumber
| The Hunt Group Number associated with the hunt-group-busy-position feature. More...

## Detailed Description

This is a union of the parameters of the FNU features.

The caller should know which parameters to populate for a specific feature.

## Method Documentation

- (instancetype) initWithFeatureType: |  | (CSFeatureType) | featureType
ownerExtension: |  | (NSString *) | ownerExtension
huntGroupNumber: |  | (NSInteger) | huntGroupNumber

Constructs an CSFeatureStatusParameters object from the specified parameters.

Parameters

  featureType | The feature type associated with the feature.
  ownerExtension | The owner extension associated with this feature.
  huntGroupNumber | The Hunt Group Number associated with the hunt-group-busy-position feature

## Property Documentation

- (CSFeatureType) featureType
| read write nonatomic assign

The feature type associated with the feature.

- (NSInteger) huntGroupNumber
| read write nonatomic assign

The Hunt Group Number associated with the hunt-group-busy-position feature.

Populate if the feature is Hunt Group Busy Position feature.

- (NSString*) ownerExtension
| read write nonatomic copy

The owner extension associated with this feature.

Populate if targeted feature's owner is different from the local user's extension.

The documentation for this class was generated from the following file:

- CSFeatureParameters.h